všetky možnosti
jessie  ] [  stretch  ] [  buster  ] [  bullseye  ] [  sid  ]
[ Zdroj: libuniversal-require-perl  ]

Balík: libuniversal-require-perl (0.17-1)

Odkazy pre libuniversal-require-perl

Screenshot

Zdroje Debian:

Stiahnuť zdrojový balík libuniversal-require-perl:

Správcovia:

Externé zdroje:

Podobné balíky:

načítanie modulov z premennej

Tento modul funguje presne ako štandardné require v jazyku Perl, bez obmedzenia na čisté slová a s tým, že nezomrie. Preože require() je umiestnené v mennom priestore UNIVERSAL, bude fungovať v každom module. Stačí nieke vo vašom kóde použiť UNIVERSAL::require.

Ak ste niekedy museli použiť niečo takéto

   eval "require $module";

aby ste obišli obmedzenia na čisté slová v require, tento modul je pre vás. Vytvorí univerzálnu metódu triedy require(), ktorá bude fungovať s každým modulom triedy a je bezpečná. Takže namiesto kľukatého použitia eval() môžete použiť:

   $module->require;

Neušetrí vám veľa písania, ale bude oveľa zrozumiteľnejšie niekomu, kto nie je extrémne skúsený používateľ Perlu.

Tiež poskytuje metódu use(), ktorá funguje podobným spôsobom.

Ostatné balíky súvisiace s balíkom libuniversal-require-perl

  • závisí
  • odporúča
  • navrhuje
  • vylepšuje

Stiahnuť libuniversal-require-perl

Stiahnuť pre všetky dostupné architektúry
Architektúra Veľkosť balíka Nainštalovaná veľkosť Súbory
all 9.4 kB52.0 kB [zoznam súborov]